module Deprecation
  class Engine < ::Rails::Engine
    initializer "deprecation.initialize" do |app|
      require "deprecation"

      ActiveSupport.on_load :action_controller do
        ActionController::Base.send :include, Deprecation::Notifier
      end

      ActiveSupport.on_load(:active_record) do
        ActiveRecord::Base.send :include, Deprecation::Notifier
      end
    end
  end
end
